=== debian/changelog ===
ros-kinetic-base-local-planner (1.14.9-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 05 Jan 2021 05:00:00 -0000

ros-kinetic-base-local-planner (1.14.8-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 27 Aug 2020 04:00:00 -0000

ros-kinetic-base-local-planner (1.14.7-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 10 Mar 2020 04:00:00 -0000

ros-kinetic-base-local-planner (1.14.6-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Mar 2020 05:00:00 -0000

ros-kinetic-base-local-planner (1.14.5-1xenial) xenial; urgency=high

  * ROS_DEBUG prints incorrect gen_id & incorrect namespace for /latch_xy_goal_tolerance (#862 <https://github.com/ros-planning/navigation/issues/862>)
    * gen_id also increments when the critic's scale is set to 0
    * Moved the latch_xy_goal_tolerance parameter from global namespace to the planner's namespace.
    * latch_xy_goal_tolerance  parameter is searched in node_handle's namespace as well as in global namespace, for people who relied on the old configuration
  * Provide different negative values for unknown and out-of-map costs (#833 <https://github.com/ros-planning/navigation/issues/833>)
  * [kinetic] Fix for adjusting plan resolution (#819 <https://github.com/ros-planning/navigation/issues/819>)
    * Fix for adjusting plan resolution
    * Simpler math expression
  * Contributors: David V. Lu!!, Jorge Santos Simón, Veera Ragav

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 15 Nov 2019 05:00:00 -0000

ros-kinetic-base-local-planner (1.14.4-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 19 Jun 2018 04:00:00 -0000

ros-kinetic-base-local-planner (1.14.3-1xenial) xenial; urgency=high

  * Merge pull request #672 <https://github.com/ros-planning/navigation/issues/672> from ros-planning/email_update_kinetic
    update maintainer email (kinetic)
  * CostmapModel: Make lineCost and pointCost public (#660 <https://github.com/ros-planning/navigation/issues/660>)
    Make the methods lineCost and pointCost of the CostmapModel class
    public so they can be used outside of the class.
    Both methods are not changing the instance, so this should not cause any
    problems.  To emphasise their constness, add the actual const keyword.
  * Merge pull request #648 <https://github.com/ros-planning/navigation/issues/648> from aaronhoy/kinetic_add_ahoy
    Add myself as a maintainer.
  * Contributors: Aaron Hoy, Felix Widmaier, Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 16 Mar 2018 04:00:00 -0000

ros-kinetic-base-local-planner (1.14.2-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 14 Aug 2017 04:00:00 -0000

ros-kinetic-base-local-planner (1.14.1-1xenial) xenial; urgency=high

  * Merge pull request #570 <https://github.com/ros-planning/navigation/issues/570> from codebot/add_twirling_cost_function
  * Fix CMakeLists + package.xmls (#548 <https://github.com/ros-planning/navigation/issues/548>)
  * Add cost function to prevent unnecessary spinning
  * make rostest in CMakeLists optional (ros/rosdistro#3010 <https://github.com/ros/rosdistro/issues/3010>)
  * remove GCC warnings
  * Contributors: Lukas Bulwahn, Martin Günther, Michael Ferguson, Morgan Quigley, Vincent Rabaud, lengly

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 07 Aug 2017 04:00:00 -0000

ros-kinetic-base-local-planner (1.14.0-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 20 May 2016 04:00:00 -0000

ros-kinetic-base-local-planner (1.13.1-1xenial) xenial; urgency=high

  * base_local_planner: some fixes in goal_functions
  * Merge pull request #348 <https://github.com/ros-planning/navigation/issues/348> from mikeferguson/trajectory_planner_fixes
  * fix stuck_left/right calculation
  * fix calculation of heading diff
  * Contributors: Gael Ecorchard, Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 29 Oct 2015 04:00:00 -0000

ros-kinetic-base-local-planner (1.13.0-1xenial) xenial; urgency=high

  * remove previously deprecated param
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 17 Mar 2015 04:00:00 -0000

ros-kinetic-base-local-planner (1.12.0-1xenial) xenial; urgency=high

  * update maintainer email
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Feb 2015 05:00:00 -0000

ros-kinetic-base-local-planner (1.11.15-1xenial) xenial; urgency=high

  * Add ARCHIVE_DESTINATION for static builds
  * Contributors: Gary Servin

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 03 Feb 2015 05:00:00 -0000

ros-kinetic-base-local-planner (1.11.14-1xenial) xenial; urgency=high

  * Fixed setting child_frame_id in base_local_planner::OdometryHelperRos
  * Contributors: Mani Monajjemi

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 05 Dec 2014 05:00:00 -0000

ros-kinetic-base-local-planner (1.11.13-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 02 Oct 2014 04:00:00 -0000

ros-kinetic-base-local-planner (1.11.12-1xenial) xenial; urgency=high

  * Bugfix uninitialised occ_cost variable usage
    This fixes #256 <https://github.com/ros-planning/navigation/issues/256>.
  * base_local_planner: adds waitForTransform
  * Fixed issue causing trajectory planner returning false to isGoalReach ed even when it's control thread finishes executing
  * Contributors: Daniel Stonier, Marcus Liebhardt, hes3pal

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 01 Oct 2014 04:00:00 -0000

ros-kinetic-base-local-planner (1.11.11-1xenial) xenial; urgency=high

  * Minor code cleanup
  * Contributors: Enrique Fernández Perdomo

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 23 Jul 2014 04:00:00 -0000

ros-kinetic-base-local-planner (1.11.10-1xenial) xenial; urgency=high

  * Remove unnecessary colons
  * renames acc_lim_th to acc_lim_theta, add warning if using acc_lim_th

